git: 413dced10985 - main - sysutils/gitwatch: Update version 0.1.a.20200814=>0.2

From: Muhammad Moinur Rahman <bofh_at_FreeBSD.org>
Date: Wed, 13 Dec 2023 20:43:56 UTC
The branch main has been updated by bofh:

URL: https://cgit.FreeBSD.org/ports/commit/?id=413dced1098590cefae138c8833cf66d1169d9eb

commit 413dced1098590cefae138c8833cf66d1169d9eb
Author:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
AuthorDate: 2023-12-13 16:50:18 +0000
Commit:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
CommitDate: 2023-12-13 20:43:43 +0000

    sysutils/gitwatch: Update version 0.1.a.20200814=>0.2
    
    Changelog: https://github.com/gitwatch/gitwatch/releases/tag/v0.2
---
 sysutils/gitwatch/Makefile                |   5 +-
 sysutils/gitwatch/distinfo                |   6 +-
 sysutils/gitwatch/files/patch-gitwatch.sh | 127 ------------------------------
 3 files changed, 5 insertions(+), 133 deletions(-)

diff --git a/sysutils/gitwatch/Makefile b/sysutils/gitwatch/Makefile
index 91333426f93c..4643ecf16f77 100644
--- a/sysutils/gitwatch/Makefile
+++ b/sysutils/gitwatch/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	gitwatch
-DISTVERSION=	0.1.a.20200814
+DISTVERSIONPREFIX=	v
+DISTVERSION=	0.2
 CATEGORIES=	sysutils
 
 MAINTAINER=	bofh@FreeBSD.org
@@ -17,8 +18,6 @@ USES=		shebangfix
 USE_GITHUB=	yes
 USE_RC_SUBR=	${PORTNAME}
 
-GH_TAGNAME=	e62df74
-
 SHEBANG_FILES=	${WRKSRC}/${PORTNAME}.sh
 
 NO_ARCH=	yes
diff --git a/sysutils/gitwatch/distinfo b/sysutils/gitwatch/distinfo
index ce9fcf25aacc..c0a45fc28765 100644
--- a/sysutils/gitwatch/distinfo
+++ b/sysutils/gitwatch/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1605403644
-SHA256 (gitwatch-gitwatch-0.1.a.20200814-e62df74_GH0.tar.gz) = d66d9fa89619a693c3441dbf59ddd11fa4048f85f63194452a68024d75aa3b8a
-SIZE (gitwatch-gitwatch-0.1.a.20200814-e62df74_GH0.tar.gz) = 21889
+TIMESTAMP = 1702485900
+SHA256 (gitwatch-gitwatch-v0.2_GH0.tar.gz) = 38fd762d2fa0e18312b50f056d9fd888c3038dc2882516687247b541b6649b25
+SIZE (gitwatch-gitwatch-v0.2_GH0.tar.gz) = 25123
diff --git a/sysutils/gitwatch/files/patch-gitwatch.sh b/sysutils/gitwatch/files/patch-gitwatch.sh
deleted file mode 100644
index c4c88aeef64c..000000000000
--- a/sysutils/gitwatch/files/patch-gitwatch.sh
+++ /dev/null
@@ -1,127 +0,0 @@
---- gitwatch.sh.orig	2020-11-15 05:05:21 UTC
-+++ gitwatch.sh
-@@ -43,6 +43,9 @@ COMMITMSG="Scripted auto-commit on change (%d) by gitw
- LISTCHANGES=-1
- LISTCHANGES_COLOR="--color=always"
- GIT_DIR=""
-+GIT="$(which git)"
-+INW="$(which inotifywait)";
-+EVENTS="${EVENTS:-close_write,move,move_self,delete,create,modify}"
- 
- # Print a message about how to use this script
- shelp () {
-@@ -97,12 +100,6 @@ shelp () {
-     echo "It is therefore recommended to terminate the script before changing the repo's"
-     echo "config and restarting it afterwards."
-     echo ""
--    echo "By default, gitwatch tries to use the binaries \"git\" and \"inotifywait\","
--    echo "expecting to find them in the PATH (it uses 'which' to check this and  will"
--    echo "abort with an error if they cannot be found). If you want to use binaries"
--    echo "that are named differently and/or located outside of your PATH, you can define"
--    echo "replacements in the environment variables GW_GIT_BIN and GW_INW_BIN for git"
--    echo "and inotifywait, respectively."
- }
- 
- # print all arguments to stderr
-@@ -118,11 +115,6 @@ cleanup () {
-     exit 0
- }
- 
--# Tests for the availability of a command
--is_command () {
--	hash "$1" 2>/dev/null
--}
--
- ###############################################################################
- 
- while getopts b:d:h:g:L:l:m:p:r:s:e: option # Process command line options
-@@ -149,65 +141,20 @@ if [ $# -ne 1 ]; then # If no command line arguments a
-     exit # and exit
- fi
- 
--# if custom bin names are given for git or inotifywait, use those; otherwise fall back to "git" and "inotifywait"
--if [ -z "$GW_GIT_BIN" ]; then GIT="git"; else GIT="$GW_GIT_BIN"; fi
--
--if [ -z "$GW_INW_BIN" ]; then
--    # if Mac, use fswatch
--    if [ "$(uname)" != "Darwin" ]; then
--        INW="inotifywait";
--        EVENTS="${EVENTS:-close_write,move,move_self,delete,create,modify}"
--    else
--        INW="fswatch";
--        # default events specified via a mask, see
--        # https://emcrisostomo.github.io/fswatch/doc/1.14.0/fswatch.html/Invoking-fswatch.html#Numeric-Event-Flags
--        # default of 414 = MovedTo + MovedFrom + Renamed + Removed + Updated + Created
--        #                = 256 + 128+ 16 + 8 + 4 + 2
--        EVENTS="${EVENTS:---event=414}"
--    fi;
--else
--    INW="$GW_INW_BIN";
--fi
--
--# Check availability of selected binaries and die if not met
--for cmd in "$GIT" "$INW"; do
--	is_command "$cmd" || { stderr "Error: Required command '$cmd' not found." ; exit 1; }
--done
--unset cmd
--
- ###############################################################################
- 
- SLEEP_PID="" # pid of timeout subprocess
- 
- trap "cleanup" EXIT # make sure the timeout is killed when exiting script
- 
--
- # Expand the path to the target to absolute path
--if [ "$(uname)" != "Darwin" ]; then
--    IN=$(readlink -f "$1")
--else
--    if is_command "greadlink"; then
--      IN=$(greadlink -f "$1")
--    else
--      IN=$(readlink -f "$1")
--      if [ $? -eq 1 ]; then
--        echo "Seems like your readlink doesn't support '-f'. Running without. Please 'brew install coreutils'."
--        IN=$(readlink "$1")
--      fi
--    fi;
--fi;
-+IN=$(readlink -f "$1")
- 
--
- if [ -d "$1" ]; then # if the target is a directory
- 
-     TARGETDIR=$(sed -e "s/\/*$//" <<<"$IN") # dir to CD into before using git commands: trim trailing slash, if any
-     # construct inotifywait-commandline
--    if [ "$(uname)" != "Darwin" ]; then
--        INW_ARGS=("-qmr" "-e" "$EVENTS" "--exclude" "'(\.git/|\.git$)'" "\"$TARGETDIR\"")
--    else
--        # still need to fix EVENTS since it wants them listed one-by-one
--        INW_ARGS=("--recursive" "$EVENTS" "--exclude" "'(\.git/|\.git$)'" "\"$TARGETDIR\"")
--    fi;
-+    INW_ARGS=("-qmr" "-e" "$EVENTS" "--exclude" "'(\.git/|\.git$)'" "\"$TARGETDIR\"")
-     GIT_ADD_ARGS="--all ." # add "." (CWD) recursively to index
-     GIT_COMMIT_ARGS="" # add -a switch to "commit" call just to be sure
- 
-@@ -215,11 +162,7 @@ elif [ -f "$1" ]; then # if the target is a single fil
- 
-     TARGETDIR=$(dirname "$IN") # dir to CD into before using git commands: extract from file name
-     # construct inotifywait-commandline
--    if [ "$(uname)" != "Darwin" ]; then
--        INW_ARGS=("-qm" "-e" "$EVENTS" "$IN")
--    else
--        INW_ARGS=("$EVENTS" "$IN")
--    fi
-+    INW_ARGS=("-qm" "-e" "$EVENTS" "$IN")
- 
-     GIT_ADD_ARGS="$IN" # add only the selected file to index
-     GIT_COMMIT_ARGS="" # no need to add anything more to "commit" call
-@@ -260,6 +203,8 @@ if [ -n "$REMOTE" ]; then # are we pushing to a remote
-             PUSH_CMD="$GIT push $REMOTE $BRANCH"
-         fi
-     fi
-+elif [ -n $($GIT config --get remote.origin.url) ] ; then
-+	PUSH_CMD="$GIT push"
- else
-     PUSH_CMD="" # if not remote is selected, make sure push command is empty
- fi